OSDN Git Service

trunk整理
[ultramonkey-l7/ultramonkey-l7-v3.git] / test / script / PT / B / B-1.sh
diff --git a/test/script/PT/B/B-1.sh b/test/script/PT/B/B-1.sh
new file mode 100755 (executable)
index 0000000..9564713
--- /dev/null
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+# set config file
+. ${SET_DEFAULT_CONF}
+
+#Start L7VSD Service
+$INIT_L7VSD start
+if [ $? -ne 0 ]
+then
+        echo "Test failed: $L7VSD"
+        exit 1
+fi
+usleep 100000
+
+#Check Not Time Out
+$L7VSADM
+if [ $? -ne 0 ]
+then
+        echo "Test failed: $L7VSADM"
+        exit 1
+fi
+
+exit 0